Description

Hello,

Here's the context, quickly:

We wanted to receive SMS when a ticket was assigned to a specific group, with a specific priority. The sending of the SMS is done

by our SMTP gateway, not in Redmine, but we needed the SMTP headers anyway. Our Ruby guys being busy, we didn't take the

time to develop a proper Redmine module to send SMS, sorry about that ...

I manually edited our Redmine 3.0.1 to add

'Issue-Priority' => issue.priority.name,

in mailer.rb so X-Redmine-Issue-Priority was added fine.

I believe this wouldn't hurt to be added by default in Redmine (I apologize for not providing the patch, I have no idea how to

do that ...).    

However, there was already a X-Redmine-Issue-Assignee, as

 redmine_headers 'Issue-Assignee' => issue.assigned_to.login if issue.assigned_to

but as there is no "login" for groups, the header was empty in my case.

I changed it for

redmine_headers 'Issue-Assignee' => issue.assigned_to.name if issue.assigned_to

because, in my case, that suits me well, but I understand that as there might be several groups or users with the same name, this is

not a reliable solution.    

If anyone has an idea about that, please feel free to express yourself =)

Related issues:

Related to Redmine - Feature #2746: Send out issue priority in the email noti... Closed

Related to Redmine - Defect #35017: X-Redmine-Issue-Assignee email header fie... Closed

History

#1 - 2015-07-31 03:22 - Go MAEDA

- Related to Feature #2746: Send out issue priority in the email notification header added

#2 - 2021-05-17 03:59 - Go MAEDA

- Related to Defect #35017: X-Redmine-Issue-Assignee email header field is empty when the assignee of an issue is a group added

#3 - 2024-09-15 09:08 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Duplicate
X-Redmine-Issue-Priority header field was added in #2746 for Redmine 5.1.0

The problem that X-Redmine-Issue-Assignee will be empty when the issue assignee is a group was fixed in #35017 for Redmine 5.0.0
